libvisio::ChunkHeader Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions

| ChunkHeader ()

## Public Attributes

unsigned | chunkType
unsigned | id
unsigned | list
unsigned | dataLength
unsigned short | level
unsigned char | unknown
unsigned | trailer

## Constructor & Destructor Documentation

## ChunkHeader()

libvisio::ChunkHeader::ChunkHeader | ( |  | ) |

inline

## Member Data Documentation

## chunkType

unsigned libvisio::ChunkHeader::chunkType

Referenced by ChunkHeader(), and libvisio::VSD5Parser::handleChunkRecords().

## dataLength

unsigned libvisio::ChunkHeader::dataLength

Referenced by ChunkHeader(), and libvisio::VSD5Parser::handleChunkRecords().

## id

unsigned libvisio::ChunkHeader::id

Referenced by ChunkHeader().

## level

unsigned short libvisio::ChunkHeader::level

Referenced by ChunkHeader(), and libvisio::VSD5Parser::handleChunkRecords().

## list

unsigned libvisio::ChunkHeader::list

Referenced by ChunkHeader().

## trailer

unsigned libvisio::ChunkHeader::trailer

Referenced by ChunkHeader().

## unknown

unsigned char libvisio::ChunkHeader::unknown

Referenced by ChunkHeader().

The documentation for this struct was generated from the following file:

- VSDTypes.h